> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Create a team space membership

POST https://api.contentful.com/spaces/{space_id}/team_space_memberships
Content-Type: application/json

Creates a team space membership assigning the team as admin or to roles; all active team members inherit these permissions. Only org admins, owners, and space admins can create team space memberships.

Reference: https://contentful.com/developers/docs/references/user-management-api/team-space-memberships/create-a-team-space-membership

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — The space ID

### Headers

- `X-Contentful-Team` (string, required) — The ID of the team for this membership

### Body (application/json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 201

Created - Team space membership created successfully

- `map from string to any`

## Examples

**Request**

```json
{
  "admin": false,
  "roles": [
    {
      "sys": {
        "id": "1ElgCn1mi1UHSBLTP2v4TD",
        "linkType": "Role",
        "type": "Link"
      }
    }
  ]
}
```

**Response**

```json
{
  "admin": false,
  "roles": [
    {
      "sys": {
        "id": "1ElgCn1mi1UHSBLTP2v4TD",
        "linkType": "Role",
        "type": "Link"
      }
    }
  ],
  "sys": {
    "createdAt": "2025-08-22T18:06:44.000Z",
    "id": "0xWanD4AZI2AR35wW9q51n",
    "space": {
      "sys": {
        "id": "jn066pnp3hgr",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "team": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "Team",
        "type": "Link"
      }
    },
    "type": "TeamSpaceMembership",
    "updatedAt": "2025-08-22T18:06:44.000Z",
    "version": 0
  }
}
```